## korganizer 24.08.2

=== debian/changelog ===
korganizer (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental, remaining changes:
    - Kubuntuify.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 31 Oct 2024 18:26:54 -0500

korganizer (4:24.08.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Oct 2024 15:05:52 +0200

korganizer (4:24.08.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Limit the build to architectutes where akonadi-calendar is
    available.

 -- Patrick Franz <deltaone@debian.org>  Sat, 28 Sep 2024 13:15:36 +0200

korganizer (4:24.08.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Tue, 17 Sep 2024 18:08:37 +0200
