## korganizer 24.12.0

=== debian/changelog ===
korganizer (4:24.12.0-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 22:53:48 +0100

korganizer (4:24.12.0-2) experimental; urgency=medium

  [ Sandro Knauß ]
  * Files moved from kdepim-addons into korganizer (Add
    breaks/replaces).

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 22:27:46 +0100

korganizer (4:24.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Add/update Heiko Becker in upstream signing keys.
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Dec 2024 15:40:17 +0100
